Subject: bug#28349: 26.0.50; compilation mode syntax highlighting incorrect

From: Richard Copley <[email-masked]>
Date: Sat, 16 Sep 2017 19:30:36 +0100

On 11 September 2017 at 20:51, Richard Copley <[email-masked]> wrote:
> On 11 September 2017 at 17:56, Eli Zaretskii <[email-masked]> wrote:
>> Thanks.  Can you post a short file which exhibits the problem under
>> compilation-mode?  I tried to use your examples in this discussion,
>> but none of them triggers these errors, so I'm probably missing
>> something.
>
> I'll keep trying to come up with an example.
>
> Some of the key ingredients:
>   * Native Windows Emacs
>   * MSYS make
>   * An "Entering directory /c/..." message
>   * An error or warning
>
> There might be another ingredient that's specific to my
> environment, but I don't think so.

I had my own file-name-handler-alist entry that clobbered the match
data by calling (unmsys--filename) from "subr.el". Not an Emacs bug.

Ignore my previous attribution of this to file-truename.